Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins.build.scopes
[Groovy] Class PluginScopeInfo

    java.lang.Object
      org.codehaus.groovy.grails.plugins.build.scopes.PluginScopeInfo

    class PluginScopeInfo
    extends java.lang.Object

Encapsulates information about plugins contained within a particular scope.

Authors:
  Graeme Rocher

Since:
  2.0

Property Summary
`java.util.Set` | `artefactResources`
`java.util.Set` | `pluginDescriptors`
`java.util.Set` | `pluginInfos`
`java.util.Set` | `pluginNames`
`java.lang.String` | `scopeName`
`java.util.Set` | `sourceDirectories`

Constructor Summary
`PluginScopeInfo(java.lang.String scopeName)`

Method Summary
`PluginScopeInfo` | `minus(PluginScopeInfo other)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### artefactResources

    java.util.Set artefactResources

### pluginDescriptors

    java.util.Set pluginDescriptors

### pluginInfos

    java.util.Set pluginInfos

### pluginNames

    java.util.Set pluginNames

### scopeName

    java.lang.String scopeName

### sourceDirectories

    java.util.Set sourceDirectories

Constructor Detail

### PluginScopeInfo

    PluginScopeInfo(java.lang.String scopeName)

Method Detail

### minus

    PluginScopeInfo minus(PluginScopeInfo other)

Groovy Documentation